
mui.plusReady(function() {
	//自定义事件
    window.addEventListener('updateUI',function(event){
    	//获得事件参数
        var resp = event.detail.resp;
        var capacity = resp.batCapacity;
        if(capacity.length == 0) {
			document.getElementById("capacity").style.display="none";
        }else{
			document.getElementById("capacity").style.display="block";
			document.getElementById("capacityV").innerHTML=capacity+"%";
        }
        var batV = resp.batV;
        if(batV.length == 0) {
			document.getElementById("volt").style.display="none";
        }else{
			document.getElementById("volt").style.display="block";
			document.getElementById("batV").innerHTML=batV;
        }
        var time = resp.batTimeRemain;
        if(time.length == 0) {
			document.getElementById("time").style.display="none";
        }else{
			document.getElementById("time").style.display="block";
			document.getElementById("timeV").innerHTML=time;
        }
   });
   //返回事件
	document.getElementById("back").addEventListener('tap', function() {
		plus.webview.currentWebview().hide('auto');
	});
	
	window.addEventListener('init',init);
    init();
});

function init() {
	app.updateLanguage(app.getSettings().lang, updateLanguage);
}

function updateLanguage() {
	document.getElementById('batTitle').innerHTML = jQuery.i18n.prop('title.battery');
	document.getElementById('batHead').innerHTML = jQuery.i18n.prop('title.battery');
	document.getElementById('labelCapacity').innerHTML = jQuery.i18n.prop('capacity');
	document.getElementById('labelVolt').innerHTML = jQuery.i18n.prop('voltage');
	document.getElementById('labelRemainTime').innerHTML = jQuery.i18n.prop('remaintime');
}
