var lastWarnData;
mui.plusReady(function() {
	//自定义事件, 有新的ajax数据包时更新显示
    window.addEventListener('updateUI',function(event){
    	//获得事件参数
        var resp = event.detail.resp;
        updateUI(resp);
	});	
	//自定义事件, 进入detail页面时初始化一次
	window.addEventListener('init',init);
	//自定义事件, 显示子页面前的初始化
	window.addEventListener('initShow',initShow);
});

/**
* @param {Object} resp: ajax取得的新数据
*/
function updateUI(resp) {
	//alarm
	var warnData = resp.warnData;
	if(JSON.stringify(lastWarnData) != JSON.stringify(warnData)) {
		var html = "";
		for(i = 0; i < warnData.length; i++ ) {
			if(warnData[i].level == 1) {
				html += '<div class="gjjl1 img_red">';
				html += '<div><img src="images/alarm-fault.png"></div>';
				html += '<p>'+warnData[i].warning+'</p>';
				html += '</div>';
			}else{
				html += '<div class="gjjl1">';
				html += '<div><img src="images/alarm-orange.png"></div>';
				html += '<p>'+warnData[i].warning+'</p>';
				html += '</div>';
			}
		}
		if(html == "") {
			html = '<div id="noalarm">'+jQuery.i18n.prop('no.alarm')+'</div>';
		}
		document.getElementById("alarm").innerHTML = html;
	}
	lastWarnData = warnData;
}
function initShow() {
}
function init() {
	app.updateLanguage(app.getSettings().lang, updateLanguage);
}

function updateLanguage() {
	if(document.getElementById('noalarm')) {
		document.getElementById('noalarm').innerHTML = jQuery.i18n.prop('no.alarm');
	}
}