var index;
mui.plusReady(function() {
	//自定义事件, 有新的ajax数据包时更新显示
    window.addEventListener('updateUI',function(event){
    	//获得事件参数
        var resp = event.detail.resp;
        updateUI(resp);
	});	
	//自定义事件, 进入detail页面时初始化一次
	window.addEventListener('init',init);
	//自定义事件, 显示子页面前的初始化
	window.addEventListener('initShow',initShow);
});

/**
* @param {Object} resp: ajax取得的新数据
*/
function updateUI(resp) {
}
function initShow() {
	loadEvent();
}
function init() {
    index = event.detail.index;
    document.getElementById("historyEvent").innerHTML = "";
	app.updateLanguage(app.getSettings().lang, updateLanguage);
}

function loadEvent() {
	var url = app.getSettings().url+'/'+index+'/event?lang='+app.getSettings().lang;
	app.connect(url, eventCallbackSuccess, eventCallbackError,60000);//CTL-823
}

var eventCallbackSuccess = function(resp) {
	var html = "";
	for(i=0; i < resp.length; i++) {
		html += '<li class="mui-table-view-cell mui-media">';
		html += '<div class="mui-media-body">';
        html += '<p class="mui-ellipsis">'+resp[i].time+'</p>';
		html += '<p class="history_p">'+resp[i].eventS+'</p>';
		html += '</div>';
		html += '</li>';
	}
	document.getElementById("historyEvent").innerHTML = html;
}
var eventCallbackError = function(result) {
}

function updateLanguage() {
}

