var settings = app.getSettings();

mui.plusReady(function() {
	//自定义事件
    window.addEventListener('updateUI',function(event){
    	//获得事件参数
        var resp = event.detail.resp;
        var loadP = resp.loadPercent;
        if(loadP.length == 0) {
			document.getElementById("percent").style.display="none";
        }else{
			document.getElementById("percent").style.display="block";
			document.getElementById("loadV").innerHTML=loadP;
        }
        var power = resp.outP;
        if(power.length == 0) {
			document.getElementById("power").style.display="none";
        }else{
			document.getElementById("power").style.display="block";
			document.getElementById("powerV").innerHTML=power;
        }
        var ls1 = resp.ls1;
        if(ls1 < 0 || ls1 > 3) {
			document.getElementById("ls1").style.display="none";
        }else{
			document.getElementById("ls1").style.display="block";
			document.getElementById("ls1State").innerHTML=getLsState(ls1);
        }
        var ls2 = resp.ls2;
        if(ls2 < 0 || ls2 > 3) {
			document.getElementById("ls2").style.display="none";
        }else{
			document.getElementById("ls2").style.display="block";
			document.getElementById("ls2State").innerHTML=getLsState(ls2);
        }
   });
   //返回事件
	document.getElementById("back").addEventListener('tap', function() {
		plus.webview.currentWebview().hide('auto');
	});
   
	window.addEventListener('init',init);
    init();
});

function getLsState(status) {
	switch (status) {
		case 0:
			return jQuery.i18n.prop('ls.off');
		case 1:
			return jQuery.i18n.prop('ls.on');
		case 2:
			return jQuery.i18n.prop('ls.offpending');
		case 3:
			return jQuery.i18n.prop('ls.onpending');
		default:
			return "";
		}
	
}
function init() {
	app.updateLanguage(app.getSettings().lang, updateLanguage);
}

function updateLanguage() {
	document.getElementById('loadTitle').innerHTML = jQuery.i18n.prop('group.load');
	document.getElementById('loadHeader').innerHTML = jQuery.i18n.prop('group.load');
	document.getElementById('labelCap').innerHTML = jQuery.i18n.prop('capacity');
	document.getElementById('labelPower').innerHTML = jQuery.i18n.prop('power');
	document.getElementById('labelLs1').innerHTML = jQuery.i18n.prop('ls1.state');
	document.getElementById('labelLs2').innerHTML = jQuery.i18n.prop('ls2.state');
}