mui.plusReady(function() {
	//仅支持竖屏显示
	plus.screen.lockOrientation("portrait-primary");
	document.getElementById('reconnect').addEventListener('tap', reConnect);
    window.addEventListener('reConnect',reConnect);
    window.addEventListener('init',init);
});
mui.init({
	swipeBack: false,
	statusBarBackground: '#f7f7f7',
	gestureConfig: {
		doubletap: true
	},
	subpages: [{
		id: 'list',
		url: 'list.html',
		styles: {
			top: '45px',
			bottom: 0,
			bounce: 'vertical'
		}
	}]
});
function reConnect() {
	mui.fire(plus.webview.getWebviewById('list'), 'stopReload', null);
	mui.fire(plus.webview.getWebviewById('list'), 'stopWebSocket', null);
	app.setActiveView("");
	mui.openWindow({
		id: plus.webview.getLaunchWebview().id,
		url:"connect.html"
	});
	plus.webview.currentWebview().hide('auto');
}

function init() {
	app.updateLanguage(app.getSettings().lang, updateLanguage);
}
			
function updateLanguage() {
	document.getElementById('listTitle').innerHTML = jQuery.i18n.prop('title.list');
}
